These changes were made in the current version:

_______________________________________________
Build 5.8.2.4640

CHG: New signed driver 128 added
CHG: use tfm 3.6.1.0035b  (tfm fix: Intel ME compatibility issue)
FIX: Fixed password change problems
FIX: Fingerprint HWdata operations
FIX: OEM Ready certification requirements 
FIX: PSQLTray application does not block Explorer after logon
FIX: Workaround for problem with CPU utilization after startup
FIX: Minor Password Bank fixes


_______________________________________________
Build 5.8.2.4489
FIX: Very rare problem with 100% CPU utilization after startup
FIX: Registration is not replayed sometimes in Firefox
CHG: Signed Firefox Extension
FIX: Control Center cannot be opened on Vista SP1 when ATOK2007 is used

_______________________________________________
Build 5.8.2.4445
FIX: Typo in Japanese
ADD: PasswordBank: support for Firefox 3.0

_______________________________________________
Build 5.8.2.4367
CHG: Signed driver 118 added (for Vista)
FIX: Typo in Japanese
FIX: Upgrade from PS QL 5.8.1

_______________________________________________
Build 5.8.2.4272
FIX: Vista with SP1 and SSO - on some PC, Single Sign On did nor work corectly

_______________________________________________
Build 5.8.2.4249
FIX: Better visibility of links on Introduction screen
FIX: Vista WMP load file name from single file file safe 
CHG: Customization of intro screen
FIX: Implementation of lift-finger prompt after swipe
FIX: Different quotation marks (chinese only)
CHG: New biometric library 3.6.1.0035
FIX: User settings changes are not accepted when the User settings dialog is cancelled.


_______________________________________________
Build 5.8.2.4156
ADD: Localization: Full language set added
FIX: Notification: Fix for 'bad image' appearing for ghost swipes on ess2.1 sensor
FIX: Tutorial: Video failed to replay after click back-next after its replay



_______________________________________________
Build 5.8.2.4082
CHG: Signed driver 111  added
FIX: password Bank: Bubble manager endless bubbles
CHG: Added TFM lib  3.6.1.0030 with sonly antispoofing support
FIX: Pasword Bank: memory leaks fixes
CHG: Enrollment: When enrollment operation determines duplicate, it sends only feedback instead of invoking messagebox.



********************************************************************************************************



_______________________________________________
Build 5.8.1.4060
FIX: Password Bank: Configuration of hints is not saved correctly
FIX: Credential Provider: Single Sign-On  after hibernation
FIX: Rare crash while multiple FileSafe lock/unlock operations are performed
FIX: Password bank: Organize registrations dialog improvement
FIX: Avoid 'Bad Quality' feedback to appear when sensor is just randomly touched

_______________________________________________
Build 5.8.1.4005
ADD: Personal safe
ADD: Single autorun.exe for both 32bit and 64bit setup variant
ADD: Try to submit forms with simulated ENTER keypress
CHG: Vista-like GUI implemented

_______________________________________________
Build 5.8.0.3867
FIX: Localization fixes
FIX: Fix for RSA UI application 



_______________________________________________
Build 5.8.0.3862
UPD: Support for 6 digits RSA OTPs 
FIX: Some multifactor (PIN and password) dialogs displayed on wrong desktop.
ADD: RSA ready logo added in the OTP import wizard


_______________________________________________
Build 5.8.0.3837

FIX: Fixed closing settings in Password Bank by ESC or close icon 


_______________________________________________
Build 5.8.0.3829

CHG: Set specific limit for TCD50 fingers
FIX: Error during registration edit when the OTP support is not installed
FIX: Fixed possible crashes in Password Bank
FIX: Fixed not preserved settings in Password Bank


_______________________________________________
Build 5.8.0.3816

FIX: Register on submit & OTP page: no token selection dialog
ADD: Added new TFM LIB 3.5.0.0016
FIX: wrong type of Firefox is offered when want install Firefox support
FIX: Locked station detection fixed.
FIX: Do not allow access to the Security tokens if no device is connected.
CHG: On TCD50 maximum number of fingers reduced to 10 fingers 
UPD: Improved token details displayed by the OTP generator. Now the token description, user ID and token serial number is displayed.
UPD: Hide OTP when no OTP module is installed (i.e. the x64 installation).
FIX: Two devices connected simultaneously cause error.
ADD: It is possible to click on pictures in introduction window to invoke corresponding action.
CHG: Administrator cannot delete any finger in FSI by default.
ADD: Reveal password button is not shown when logon is not enabled


_______________________________________________
Build 5.8.0.3736

FIX: Strange small icons on Vista replaced by correct sizes
FIX: Uses lists with check boxes for selecting of granted users in file safe
UPD: Tutorial is not cancelled after device error
UPD: OTP: PSQL updated to use the new SecurID SDK.
FIX: OTP: General error reported when the token file is not specified.
FIX: FileSafe: It is possible to delete files or archives from locations which need elevation
UPD: Rename buttom in tutorial Reset -> Restart
FIX: Failed to display help from the elevated system settings.
UPD: OTP: Select the first token (if any) in the Secure Tokens dialog.
CHG: OTP: Automatic User ID prefilling when selecting RSA token
FIX: Wrong application settings title.
CHG: OTP: Wizard dialog layout
CHG: OTP: Next token code dialog
FIX: Unable to reach Details link on the logon settings page via keyboard.
UPD: Allow Edit button to be accessible via keyboard
FIX: OTP: No request for remembering Next Token Code
FIX: Vista Logon: MS Password provider auto-selects its credentials and hides the PSQL provider.
FIX: Vista Logon: Inconsistent unlock behavior with CAD.
UPD: OTP: If there is only one OTP module available (typically RSA), then skip the module selection dialog and start the provisioning immediately.
FIX: TCD50: Fixed problems with new fingers and secret data copying right after enrollment
ADD: TCD50: Support for sw generated RSA encrypt key on tcd50
FIX: Deal properly connected device when Don't use sensor was selected.
FIX: FileSafe: Improved commit mechanism of changes on open files from FS
UPD: OTP: When 2.1 sensor is connected, the OTP items are hidden in both CC and BM.
FIX: Fixed problems with reused fingers and Fingerprint key
ADD: TPM initialization to fprconsole
UPD: OTP: Displaying token description in details.
UPD: OTP: Running the device activation using only a simple progress window UI.
UPD: OTP: Using secure set seed operation when HW RSA OTP is used & no PIN workaround for HW tokens as it is fixed in the new firmware.
ADD: OTP: RSA sdtid files are deleted after a successful import, unless disabled by policy.
CHG: OTP: Replacing of OTP term with Tokencode
CHG: Password Bank: Improved Registration manager
UPD: Horizontal scrolling via sensor navigation updated (now it works in MS Office and Acrobat Reader).
FIX: Fixed TBX single sign-on for some TBX versions
ADD: OTP: Token selection dialog for multiple sdtid files.
ADD: Bio: TCD50: Antispoofing support
FIX: OTP: PINs of odd length improperly added to the tokencode (always align PIN binary to 8 bytes to prevent this).
UPD: OTP: When anything fails in the very end of the token import, do not allow incomplete tokens to be created.
FIX: OTP: TFM error -1043 in the very end of the RSA provisioning.
UPD: OTP: generator handles correctly when PIN is not remembered
UPD: OTP: generator updated to remember the PIN until it is closed, even if user does not check the Remember PIN checkbox.
UPD: OTP: Hide the Cancel button from the OTP settings page and never revert the changes made in that dialog.
UPD: Tutorial to match latest specification 
CHG: Language set for beta (english, japanese)
FIX: Trayapp is not closed when an exception is thrown from the balloon info on remote desktop
FIX: Password Bank: Fixed wrong verification of user. On export, use and password reveal.
FIX: Verification: detection of fast swipe fixed according to biopols.
FIX: OTP: Wrong CLSID was written in registry which caused that our OTP functionality could not be used by the third party software.


_______________________________________________
Build 5.8.0.3696 
ADD: new biometric tutorial
ADD: support for OTP tokens management
ADD: support for OTP tokens in password bank
ADD: OTP generating application with integration to biomenu and start menu
ADD: RSA tokens support
ADD: HOPT(OATH) tokens support
ADD: password bank dialog added after registration is done
FIX: Biometric sessions fixes in various special cases
ADD: Support for TCD50 SAB slots
ADD: Support for new security features of TCD50
FIX: Many small fixes

*********************************

________________
Build 5.7.0.3648
FIX: Fixed behavior of XP logon when smart card reader is present 
FIX: Aspect ratio of  fingerprint images in tutorial and infopanel is retained
FIX: Fix for race conditions in some biometric operations
CHG: Do not show original EXE icon on one-file archives, show generic exe icon


________________
Build 5.7.0.3607
ADD: Added TFM lib build 56 (support for TCS4E)
ADD: Driver change to build 99
CHG: new icons for FileSafe
ADD: install Firefox support on 64bit
CHG: Suppressed failure feedback when template set is empty
FIX: Better error message when using sensor from remote session
FIX: User activity monitor problems
FIX: problem with upgrade from PS QL 5.2
FIX: in dialog registration the password is not registered well
ADD: Added text to file safe settings dialog
FIX: Fixed problem with empty backup password



________________
Build 5.7.0.3568
CHG: Password Bank: New dialog to organize registrations
ADD: User verification for application and user settings is controlled by policy and disabled in convenient mode.
ADD: Control Center: Safe archive, Password Bank, Application Launcher are displayed in Applications section
FIX: Fixed problems with lost data in when single file is used in FileSafe when used with Microsoft Excel.
ADD: Navigation auto repeat disabled in biomenu.
FIX: Unable to elevate system settings for a limited user.
CHG: Start control center is now the default action from tray icon
FIX: Fix for enrollment on Vista in secure mode
ADD: Added retries for windows password entry
FIX: Hint for register On Submit is displayed even if the web is already registered
ADD: Firefox plug-in auto update from a local web server
CHG: Changed introduction screen graphic
UPD: Biomenu updated to be able to display submenu of submenu
FIX: Fixed possible damaging of identification database in case of TPM and enrollment to registry
CHG: Changed biolib (4.5.0075)
CHG: Switch consolidation count default to 5.


________________
Build 5.7.0.3507 - Initial release
ADD: Support for TCD50
ADD: Multifactor verification: optional password and Smart Card verification
ADD: Vista: Enrollment without elevation - elevation needed only for system settings
ADD: Improvements in installation
ADD: Password Bank: registrations can be organized
ADD: Password Bank: registration on submit
ADD: Support for strong encryption
CHG: Password Bank: Firefox support installed as a standard extension
CHG: Enrollment policy
CHG: Introduction screen
CHG: Application Launcher improvements
CHG: Text and GUI changes





*********************************


_______________
Build 5.6.2.3447
FIX: More compatible form auto-submitting in IE
FIX: Fixed navigation icon behaviour
CHG: Added new WHQL signed driver (Build 93)
CHG: Updated TFM library (build 48)
ADD: Possibility to hide TBX based on TBX settings in NVM


________________
Build 5.6.2.3437
CHG: Vertical speed of sensor scrolling adjusted.
CHG: Reduced timeout for sonly powersaving mode to 1 minute in Vista
ADD: New tfm library (build 47)
ADD: Winterskin added


________________
Build 5.6.2.3407
ADD: Support for new sensor only chip (TCS4C)
CHG: Navigation algorithm improvement
CHG: Minor text changes in enrollment
CHG: Enrollment window enlargement, more instructions added
CHG: Biometric performance improvement
CHG: Enrollment policy update
FIX: Password bank stability updates on Vista 


*******************************



________________
Build 5.6.0.3326
FIX: Minor typo and GUI fixes
FIX: Password Bank: Upgrade of previous versions' dialog registrations
FIX: Password Bank, Vista: Correct default browser used for replay from Biomenu when more browsers is installed
FIX: File Safe: Biometric window hidden behind File Safe dialog when ATOK IME is active
FIX: Unable to add 21st finger to some versions of Power-on Security

________________
Build 5.6.0.3278
FIX: PasswordBank: Frozen apps do not hang PasswordBank
FIX: Deadlock in selfenrollment when keyboard was switched
FIX: Password Bank: Replay registration from biomenu fixed for case where File Safe is not installed
FIX: Vista: Do not display wrong swipe feedbacks on strange positions (like in the bottop left corner of the screen).
CHG: Vista: Disable Ctrl+Alt+Del option is shown on Vista in domain (checked by default). It allows the user to control the CAD message appearance. In workgroup it is not displayed and CAD is always disabled.
FIX: TPM: improved TPM error messages
FIX: File Safe: Workaround for problem with resizing of archive on Vista (when adding more big files at once - vista bug)
FIX: Few localization issues were fixed.
FIX: Correctly read user's locale for domain users. (thus set the correct language in some cases when user local is different than OS language) .
FIX: Icon image unification in start menu (in start menu one of the application icons is different in some special cases)
FIX: Fixed Windows XP preload problems with blocked OOBE
CHG: In case of sensor only on Vista the power save sensor timeout is set to 5 minutes
FIX: Fingerprint image is now displayed in infopanel even after low quality swipe
FIX: All settings from 5.4 are migrated to 5.6 during upgrade

________________
Build 5.6.0.3207
ADD: All localized languages
ADD: Firefox 2.0 as fully supported
ADD: Fall skin added
ADD: more descriptive TPM error messages
CHG: Minor File Safe improvements
FIX: Password bank fixes
FIX: Password expiration on Vista
FIX: TPM PIN dialog was not displayed on Secure desktop.
FIX: User had to swipe twice if his password was changed on domain controller
FIX: Incorrect TPM initialization after repair
FIX: Do not require TPM authentication for biomenu everytime on Vista
FIX: Balloon with TPM status now displayed on Vista
FIX: Backup password dialog is displayed on Secure Desktop when needed.
FIX: update shell after delete of original files after ecnrypt operation (affected on Vista)
FIX: Do require TPM PIN in unlock on Vista.

________________
Build 5.6.0.3152
ADD: Added localization into japanese
ADD:  new signed drivers
ADD: more Biomenu skins added
CHG: new animation in tutorial
CHG: File Safe improvements
CHG: Control  Center design change
CHG: Small fixes of settings and GUI .
CHG: "Press Ctrl+Alt+Del" message is disabled on Vista in domain
CHG: Allowed selective suspend on Vista for non VIA chipsets
FIX: TPM  issues (reinitialization etc.)
FIX: Fixed problems with reinitialized TPM

________________
Build 5.6.0.3107 (Update)
FIX: Fixed "Powered by UPEK" string in biometric dialogs

________________
Build 5.6.0.3107
ADD: Sinosun TPM support added
ADD: My Safe -> FileSafe migration utility for x86
ADD: tcusb version 1.9.2.63 (with test signatures)
ADD: FileSafe: delete-wipe dialog added
CHG: Control Center layout
CHG: Introduction screen layout
CHG: Animation in tutorial
CHG: Vista: Browser support installer uses new COM helper to handle elevation.
CHG: Vista: Displaying "Logging on..." text bellow the fingerprint credential provider.
FIX: Vista: User was not able to change his blank password before enrollment.
FIX: Vista: Current user was not able to unlock through Ctrl+Alt+Del, while the other users could do that.
FIX: Vista: Biomenu open/close problems fixed
FIX: Secure TBX - no advanced mode during enrollment when enrolling into device
FIX: Fixes of TBX support for different platforms.
FIX: non-secure TBX  - heap corruption resulting in a crash sometime after device update

________________
Build 5.6.0.3064
ADD: Added link to help to security settings
ADD: Internet Explorer module can be disabled
CHG: Disabled selective suspend on Vista because of compatibility issues with some chipsets.
CHG: Vista: "Mark enrolled users" feature now works both in workgroup and domain environment
FIX: Resuming from standby without finrerprint reader
FIX: Help improvements


_________________
Build 5.6.0.3044
ADD: File Safe added
ADD: Added EULA dialog before enrollment process starts the first time. (EULA removed from setup)
ADD: Before the user is supposed to swipe his/her finger the tutorial now shows a "Please wait" message along with a corresponding bitmap
ADD: Sensor only and chipset sensor support in one installation image.
ADD: 64bit support added
ADD: Policy GUI and settings improvements
ADD: Added Password Bank support for FireFox on Vista.
ADD: Biometric settings tab in system settings
CHG: Password Bank changed to be compatible with IE7 Beta 2
CHG: Changed UPEK hyperlink text
CHG: Removed My Safe
FIX: Credential Provider fixes to support latest Vista builds
FIX: TPM initialization when host SW is installed but TPM ownership is not taken
FIX: Help updated
_________________

Build 5.6.0.2955

ADD: Added EULA dialog before enrollment process starts the first time. (EULA removed from setup)
ADD: Before the user is supposed to swipe his/her finger the tutorial now shows a "Please wait" message along with a corresponding bitmap
ADD: Sensor only and chipset sensor support in one installation image.
ADD: 64bit support added
ADD: Policy GUI and settings improvements
ADD: Added Password Bank support for FireFox on Vista.
ADD: Biometric settings tab in system settings
CHG: Password Bank changed to be compatible with IE7 Beta 2
CHG: Changed UPEK hyperlink text
CHG: Removed My Safe
FIX: Credential Provider fixes to support latest Vista builds
FIX: TPM initialization when host SW is installed but TPM ownership is not taken
FIX: Help updated

覧覧覧覧覧覧覧覧覧覧覧覧覧覧覧覧覧覧覧覧覧覧覧覧
Build 5.6.0.2955 - PS QL 5.6 with Vista private build support - Initial release

ADD: Vista private build support
ADD: TPM support
CHG: Policy settings dialog redesigned
CHG: Scrolling settings moved to System Settings
CHG: Used selective suspend (may cause problems on VIA chipsets)
